﻿<?php 
include("../config.php");      //基本資料設定
//用 php 取得目前完整網址且判斷 http 或 https
$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
//echo $protocol.$http;
$path_parts = pathinfo(htmlentities($_SERVER['REQUEST_URI']));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if(!strcasecmp($path_parts['basename'],$path_parts['filename']))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		//echo $protocol.$http;
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }	

if(empty($_SESSION['ID'])) $_SESSION['ID'] = '';
 //來源是否正確
	if ( !($_SESSION["ID"])) {
	header("location:infocenter.php?error=701");
	exit;
	}
 

 //頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_MAINNAME="後端管理區";
 $PAGE_MAINNAME_LINK="admin.php";
 $PAGE_MAINNAME_IOCN="fa-lock"; 
 $PAGE_NAME="後端管理區";
 $PAGE_NAME_IOCN="fa-lock"; 
 $MEMULINK="Other"; //基準頁免設
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="../images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="../images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="../images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="../images/touch-icon-ipad-retina.png" />
	
	
    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="../css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item"><i class="fa <?php echo $PAGE_MAINNAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="<?php echo $PAGE_MAINNAME_LINK?>" title="<?php echo $PAGE_MAINNAME?>" tabindex="222"><?php echo $PAGE_MAINNAME?></a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></li></ol> 					
</nav>					
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 內文- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>		
<h3><i class="fa fa-cogs" aria-hidden="true"></i><?php echo $PAGE_MAINNAME?></h3>
<!-- 管理者選單 -->
<?php include("include/admin_links.php"); ?> 
<!-- /管理者選單 -->
            </div> 
             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>    
                <p class="lead"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></p>
                <hr>
<h4><i class="fa fa-info-circle" aria-hidden="true"></i>說明</h4>
<?php
 if (isset($_SERVER['HTTP_REFERER'])) {
        print "您從： {$_SERVER['HTTP_REFERER']}<br />";
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
		$strurl     = str_replace($protocol,'',$_SERVER['HTTP_REFERER']);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];              
        if(strncmp($sourcehost, $serverhost, strlen($serverhost)))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}				
}
		//檢查密碼是否修改過，如果是第一次進入則強制要求更改密碼以確保安全
		if ($_SESSION['ChangePwdDate']==''){
echo "<div class=\"alert alert-danger alert-dismissible\" role=\"alert\">
    <strong><i class=\"fa fa-exclamation-circle\"></i>&nbsp;注意!</strong>管理者協助變更密碼或第一次使用需強制變更密碼 <a href=\"logout.php\" tabindex=\"400\" title=\"登出系統\"><i class=\"fa fa-sign-out\" aria-hidden=\"true\"></i> 登出/Logout </a> / <a href=\"changepw.php\" title=\"changepw\" tabindex=\"400\"><i class=\"fa fa-key\" aria-hidden=\"true\" alt=\" \"></i>變更密碼</a>
</div>";			
		}else{

// Make sure we hide ugly errrors
error_reporting(0);

 if($_SERVER['HTTP_HOST']=="web.twu.edu.tw"){
$accout=explode('/',$_SERVER['REQUEST_URI']);
$accout2=explode('~',$accout[1]);
$host=$_SERVER['HTTP_HOST']."/".$accout[1];
}else{
$host=$_SERVER['HTTP_HOST'];
} 
//$SQLITE_DIRECTORY=substr($_SERVER[CONTEXT_DOCUMENT_ROOT], 0, -5);
$str_explode = explode("/",$_SERVER[CONTEXT_DOCUMENT_ROOT]);
$SQLITE_DIRECTORY='/'.$str_explode[1].'/'.$str_explode[2];

define('CORE_ROOT', dirname(__FILE__).'/../');
define('CFG_FILE', '../config.php');
define('PUBLIC_ROOT', '../public/');
define('DOWNLOADS_ROOT', '../downloads/');
define('PHOTOS_ROOT', '../photos/');
define('UPLOADS_ROOT', '../uploads/');
define('SQLITE_DOCUMENT', 'sectionsqlitedatebase');
define('SQLITE_ROOT', $SQLITE_DIRECTORY.'/'.SQLITE_DOCUMENT);
define('INSTALL_ROOT', '../install/');

// Check existence SQLITE directory
$check = is_dir(INSTALL_ROOT);
$install_exists = '<span class="'.($check ? 'text-danger' : 'text-success').'">'.($check ? '請刪除目錄' : '目錄已刪除').'</span>';

// Check existence of config file
$check = file_exists(CFG_FILE);
$cfg_exists = '<span class="'.((true === $check) ? 'text-success' : 'text-danger').'">'.((true === $check) ? 'true' : 'false').'</span>';

// Check config file is writable
$check = is_writable(CFG_FILE);
$cfg_writable = '<span class="'.($check ? 'text-danger' : 'text-success').'">'.($check ? 'false' : 'true').'</span>';

// Check public directory is writable
$check = is_writable(PUBLIC_ROOT);
$public_writable = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

// Check DOWNLOADS directory is writable
$check = is_writable(DOWNLOADS_ROOT);
$downloads_writable = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

// Check PHOTOS directory is writable
$check = is_writable(PHOTOS_ROOT);
$photos_writable = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

// Check uploads_writable is writable
$check = is_writable(UPLOADS_ROOT);
$uploads_writable = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

// Check existence SQLITE directory
$check = is_dir(SQLITE_ROOT);
$sqlite_exists = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

// Check SQLITE directory is writable
$check = is_writable(SQLITE_ROOT);
$sqlite_writable = '<span class="'.($check ? 'text-success' : 'text-danger').'">'.($check ? 'true' : 'false').'</span>';

?>
<p class="text-danger">*您應該注意事項：狀態不能出現[false]或[請刪除目錄]，請<span class="text-primary"> 調整 </span>，謝謝。</p>
<?php echo $explodestr ?>
<div class="table-responsive">
<table class="table table-bordered table-striped table-hover table-condensed requirement-table">
        <thead>
            <tr>
                <th id="requirement">目錄安全需求</th>
                <th>狀態?</th>
            </tr>
        </thead>
        <tbody>
 
             <tr>
                <td> install 資料夾需刪除</td>
                <td class="text-warning"><?php echo $install_exists; ?></td>
            </tr>  
            <tr>
                <td>SQLite 3 資料夾(<?php echo SQLITE_ROOT; ?>)需被寫入<span class="text-danger">(0777)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(SQLITE_ROOT)), -4); ?>/<?php echo $sqlite_writable; ?></td>
            </tr>           
            <tr>
                <td>設定檔Config.php不能被寫入<span class="text-danger">(0604)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(CFG_FILE)), -4); ?>/<?php echo $cfg_writable; ?></td>
            </tr>
            <tr>
                <td>Public目錄需被寫入<span class="text-danger">(0777)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(PUBLIC_ROOT)), -4); ?>/<?php echo $public_writable; ?></td>
            </tr>
            <tr>
                <td>downloads目錄需被寫入<span class="text-danger">(0777)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(DOWNLOADS_ROOT)), -4); ?>/<?php echo $downloads_writable; ?></td>
            </tr>
            <tr>
                <td>photos目錄需被寫入<span class="text-danger">(0777)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(PHOTOS_ROOT)), -4); ?>/<?php echo $photos_writable; ?></td>
            </tr>
            <tr>
                <td>uploads目錄需被寫入<span class="text-danger">(0777)<span></td>
                <td class="text-warning"><?php echo substr(sprintf('%o', fileperms(UPLOADS_ROOT)), -4); ?>/<?php echo $uploads_writable; ?></td>
            </tr>                                          
        </tbody>
    </table>
</div>

<h5><i class="fa fa-info-circle" aria-hidden="true"></i>系統版本資訊</h5>

<?php
$admincontent = file_get_contents('https://web.twu.edu.tw/package.json');
$admincontent = json_decode($admincontent,true);
$adminversion=$admincontent['version'];
$adminupdate=$admincontent['update'];
echo  "<p><span class=\"badge badge-primary\">圖資處釋出版次： </span> ".$adminversion."  <span class=\"badge badge-warning\">版本釋出日期：</span> ".$adminupdate."</p>";


$youjsonfile="../package.json";
if(file_exists($youjsonfile)){
$youcontent = file_get_contents($youjsonfile);
$youcontent = json_decode($youcontent,true);
$youversion = $youcontent['version'];
$youupdate=date("Y-m-d H:i:s.",filemtime($youjsonfile));
        }else{
$youupdate="無更新資訊";		
        }


if ($youcontent['version']=='')
{
echo  "<p><span class=\"badge badge-info\">網站安裝版次： </span> 沒有安裝訊息</p>";	
}else{
echo  "<p><span class=\"badge badge-info\">網站安裝版次： </span> ".$youversion."  <span class=\"badge badge-warning\">檔案上傳日期與時間：</span> ".$youupdate."</p>";	
}

if ($admincontent['version'] == $youcontent['version'])
{
echo  "<p><span class=\"badge badge-pill badge-success\">恭喜您!你已經擁有CMS最新版次了!</span></p>";	
}elseif ($admincontent['version'] < $youcontent['version'])
{
echo  "<p><span class=\"badge badge-pill badge-success\">說真的!你的CMS比目前圖資處釋出版次還新!</span></p>";	
}else{
echo  "<p><span class=\"badge badge-warning\">請更新至最新版次</span>請立即前往 <a href=\"".$admincontent['repository']."\" class=\"badge badge-pill badge-danger text-white\" target=\"_blank\">".$admincontent['repository']."</a>進行下載</p>";	
}
?>
<?php
$newVersion=$adminversion;
$SelectQuery = "SELECT ID,isDisplay,SortNum,Name,FontAwesome,Version,Description FROM program order by SortNum ASC,ID ";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
?>
<h5><i class="fa fa-info-circle" aria-hidden="true"></i>程式功能簡介</h5>
<div class="table-responsive">
<table class="table table-bordered table-striped table-hover table-condensed task-table">
<thead>
<tr>
<th>程式名稱</th>
<th>您擁有的版本</th>
<th>程式說明</th>
<th>備註</th> 
</tr>
</thead>
<tbody>           
 <?php     	
$num_rows = count($Rowset);    //fetchAll()  	算比數
 if ($num_rows==0) echo "<tr><td colspan=4><div align=center>目前沒有資料</div></td></tr>";//	
foreach ($Rowset as $row) {
$show_id=$row["ID"];	
$Name=$row["Name"];
$FontAwesome=$row["FontAwesome"];
$Version=$row["Version"];
$Description=$row["Description"];
 ?>                
   <tr>
     <td data-label="程式名稱"><i class="fa <?php echo $FontAwesome?>" aria-hidden="true"></i><?php echo $Name?>&nbsp;</td>     
     <td data-label="版本" class="text-warning"><?php echo $row["Version"]?>&nbsp;</td>
     <td data-label="程式說明"><?php echo $Description?>&nbsp;</td>          
     <td data-label="備註"><?php echo ($Version>=$newVersion) ? ( "<span class=\"badge badge-pill badge-success\">最新版</span>" ) : ("請執行 <a href=\"../install/\" class=\"badge badge-pill badge-warning\">install 目錄</a>進行更新")?>&nbsp;</td></tr>                     
     <?php  
 }	 
 ?> 
</tbody>
 </table>
</div>
<?php  
		}
?>                       
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$scriptname=end(explode('/',$_SERVER['PHP_SELF']));
//繼續執行查詢		
$VersionQuery = "SELECT Version,UpdateTime FROM program WHERE url='".$scriptname."'";
//執行SQL
$VersionStatement = $Database->prepare($VersionQuery);
$VersionStatement->execute();
$VersionRowset = $VersionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($VersionRowset as $Versionrow) {
$prVersion=$Versionrow["Version"];
$prUpdateTime=$Versionrow["UpdateTime"]; 	
 }
 ?>
版本:V.<?php echo $prVersion;?>(Last Updated: <?php echo $prUpdateTime;?>)
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
  </body>
</html>
<?php
$codename="Neilsun2014";
echo base64_encode ($codename);
?>
<?php
echo "PHP Version: " . phpversion();
?>