<?php
include("../config.php");      //基本資料設定
//頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_MAINNAME="後端管理區";
 $PAGE_MAINNAME_LINK="admin.php";
 $PAGE_MAINNAME_IOCN="fa-lock"; 
 $PAGE_NAME="變更基本資料";
 $PAGE_NAME_IOCN="fa-user"; 
 $MEMULINK="Other"; //基準頁免設
 
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		//echo $protocol.$http;
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 } 

//資料表名稱
$sqlite_table="admin";

//查詢資料表名稱是否存在
$SelectQuery = "SELECT name FROM sqlite_master WHERE type='table' AND name='$sqlite_table'";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($Rowset);    //fetchAll()  	算比數
if ($num_rows==0)  {
	header("location:infocenter.php?error=998"); //空的
	exit;
	}

if(empty($_SESSION['ID'])) $_SESSION['ID'] = '';
 //來源是否正確
	if ( !($_SESSION['ID'])) {
	header("location:infocenter.php?error=701");
	exit;
	}
	
//查詢是否存在
$SelectQuery = "SELECT * FROM $sqlite_table WHERE ID='".$_SESSION["ID"]."'";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$num_rows = $Statement->fetchColumn();
if ($num_rows==0)  {
	header("location:infocenter.php?error=616"); //空的
	exit;
	}
	
//繼續執行查詢		
$SelectQuery = "SELECT * FROM $sqlite_table WHERE ID='".$_SESSION["ID"]."'";
//不出現管理者
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
$show_id=$row["ID"];	
$Name=$row["Name"] ;//使用者姓名
$Phone=$row["Phone"]; //使用者分機:
$Email=$row["Email"] ;//使用者信箱
//list($account, $server) = split('[@]', $Email);
list($account, $server) = array_pad(explode('@', $Email),2,null);
//echo "account: $account; server: $server\n"; 
 }
		
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="../images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="../images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="../images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="../images/touch-icon-ipad-retina.png" />
	
	
    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="../css/twu_css.css" rel="stylesheet">


    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
 <SCRIPT> 
 //---使用JavaScript來檢查資料
 function finalcheck()
 {
      
  if (document.beMemberFrm["Name"].value=="") 
  {
   alert("請輸入填報人姓名");document.beMemberFrm["Name"].focus();
   document.beMemberFrm["Name"].style.background="#FFC1C4";
   return false;
  }

  if (document.beMemberFrm["Phone"].value.length < 4 ) 
  {
   alert("請輸入填報人校內分機");document.beMemberFrm["Phone"].focus();
   document.beMemberFrm["Phone"].style.background="#FFC1C4";
   return false;
  }

   if ( ! checkPhone( document.beMemberFrm["Phone"].value ) )
{
   <!--alert("填報人校內分機錯誤");-->
   document.beMemberFrm["Phone"].focus();
   document.beMemberFrm["Phone"].style.background="#FFC1C4";
   return false;
  }
   if (document.beMemberFrm["Email"].value=="") 
  {
   alert("請輸入電子郵件");document.beMemberFrm["Email"].focus();
   document.beMemberFrm["Email"].style.background="#FFC1C4";
   return false;
  }
 
   if ( ! check_email( document.beMemberFrm["Email"].value ) )
{
   alert("電子郵件錯誤");document.beMemberFrm["Email"].focus();
   document.beMemberFrm["Email"].style.background="#FFC1C4";
   return false;
  }
 
  //----所有檢查都合格
    return true;
 }
 

 //email
function check_email(val){
    if(!val.match(/\S+@\S+\.\S+/)){ // Jaymon's / Squirtle's solution
        // Do something
        return false;
    }
    if( val.indexOf(' ')!=-1 || val.indexOf('..')!=-1){
        // Do something
        return false;
    }
    return true;
}

//電話格式
function checkPhone( strPhone ) {
var phoneRegArea = /^[1-9]{1,2}[0-9]{3}$/;
var prompt = "您的校內分機格式錯誤喔!例如:1001或網路電話分機81001"
if( phoneRegArea.test( strPhone ) ){
return true;
}else{
alert( prompt );
return false;
}
}

</SCRIPT> 
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item"><i class="fa <?php echo $PAGE_MAINNAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="<?php echo $PAGE_MAINNAME_LINK?>" title="<?php echo $PAGE_MAINNAME?>" tabindex="222"><?php echo $PAGE_MAINNAME?></a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></li></ol> 					
</nav>				
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 內文- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>		
<h3><i class="fa fa-cogs" aria-hidden="true"></i><?php echo $PAGE_MAINNAME?></h3>
<!-- 管理者選單 -->
<?php include("include/admin_links.php"); ?> 
<!-- /管理者選單 -->
            </div> 
             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>    
                <p class="lead"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></p>
                <hr>
<?php 
		//檢查基本資料是否完整，如果是第一次進入則強制要求更改
		if($_SESSION['Email']=='' OR $_SESSION['Phone']==''){
echo "	
<div class=\"alert alert-danger alert-dismissible\" role=\"alert\">
    <strong><i class=\"fa fa-exclamation-circle\"></i>&nbsp;注意!</strong>第一次使用強制變更填報人資料
</div>";
}?> 

<FORM action="changeprofileupdate.php" method="post" enctype="multipart/form-data" name="beMemberFrm" class="form-horizontal" role="form" onSubmit="return finalcheck()"> 
    <div class="form-group row">
      <label class="control-label col-sm-2" for="Password_o"><i class="fa fa-lock" aria-hidden="true"></i>輸入密碼</label>
      <div class="col-sm-10">
      <input type="password" name='Password_o' class='form-control' id='Password_o'  aria-describedby='Password_oStatus' required autofocus>
     (修改資料請輸入<span class=text-danger>密碼</span>進行驗證 )
      <span id="Password_oStatus" class="sr-only">(success)</span>        
      </div>
    </div>
    <div class="form-group row">
      <label class="control-label col-sm-2" for="Name"><i class="fa fa-user" aria-hidden="true"></i>填報人姓名:</label>
      <div class="col-sm-10">
      <input type="text" name='Name' class='form-control' id='Name'  value="<?php echo $Name; ?>"  aria-describedby='NameStatus' required autofocus <?php if ($_SESSION['Groups']=="1") echo "disabled"; ?>>
      (請自行修改)<?php if ($_SESSION['Groups']=="1") echo "<span class=text-danger>管理者群組不提供修改</span>"; ?>
      <span id="NameStatus" class="sr-only">(success)</span>        
      </div>
    </div>      
     <div class="form-group row">
      <label class="control-label col-sm-2" for="Phone"><i class="fa fa-phone" aria-hidden="true"></i>填報人分機:</label>
      <div class="col-sm-10">
      <input type="text" name='Phone' class='form-control' id='Phone' value="<?php echo $Phone; ?>" aria-describedby='PhoneStatus' required autofocus>
      請自行修改為您的校內分機格式為1001
      <span id="PhoneStatus" class="sr-only">(success)</span>        
      </div>
    </div>    
    <div class="form-group row">
      <label class="control-label col-sm-2" for="Email"><i class="fa fa-envelope" aria-hidden="true"></i>填報人信箱:</label>
      <div class="col-sm-10">
      <input type="text" name='Email' class='form-control' id='Email' value="<?php echo $Email; ?>" aria-describedby='EmailStatus' required autofocus>
      (請自行修改為學校申請之電子郵件 僅限聯繫之用 如account@<span class=text-danger>twu.edu.tw</span> OR account@<span class=text-danger>gm.twu.edu.tw</span>)
      <span id="EmailStatus" class="sr-only">(success)</span>        
      </div>
    </div>            
<div class="form-group">        
      <div class="col-sm-offset-2 col-sm-10">
        <input type=hidden value=<?php echo $show_id; ?> name=old_id>	  
        <button type="submit" class="btn btn-primary">變更填報人資料/Submit</button>
        <button type="reset" class="btn btn-danger">重設/Reset</button>
      </div>
    </div>    
					   </form>

                          
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$scriptname=end(explode('/',$_SERVER['PHP_SELF']));
//繼續執行查詢		
$VersionQuery = "SELECT Version,UpdateTime FROM program WHERE url='".$scriptname."'";
//執行SQL
$VersionStatement = $Database->prepare($VersionQuery);
$VersionStatement->execute();
$VersionRowset = $VersionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($VersionRowset as $Versionrow) {
$prVersion=$Versionrow["Version"];
$prUpdateTime=$Versionrow["UpdateTime"]; 	
 }
 ?>
版本:V.<?php echo $prVersion;?>(Last Updated: <?php echo $prUpdateTime;?>)
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
<SCRIPT> 
$("#simple_upload").PictureCut({                                  
    InputOfImageDirectory       : "image",
    PluginFolderOnServer        : "/jqueryui/",
    FolderOnServer              : "/uploads/",  
    ActionToSubmitUpload        : "upload.php",
    EnableCrop                  : false,                
    EnableMaximumSize           : true,
    MaximumSize                 : 100, // 100 kbytes
    CropWindowStyle             : "Bootstrap",
    UploadedCallback: function(data){                    
        $("#simple_upload_result").html("")
            .append("<strong>Image:</strong><br>"+data.options.FolderOnServer+data.currentFileName)
                .append("<br>")
                    .append("<strong>Size:</strong><br>"+Math.round((data.currentFileSize/1024))+" kbytes");
    }
});
</SCRIPT> 
  </body>
</html>