<?php
/*版本更新
2017/09/17 調整子選單名稱依照選項顯示
2017/02/26 
*/
include("../config.php");      //基本資料設定
//頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_MAINNAME="後端管理區";
 $PAGE_MAINNAME_LINK="admin.php";
 $PAGE_MAINNAME_IOCN="fa-lock"; 
 $PAGE_NAME="網頁內容編輯";
 $PAGE_NAME_IOCN="fa-pencil"; 
 $MEMULINK="Other"; //基準頁免設

  //定義一個函數：
function _get($str){
    $val = !empty($_GET[$str]) ? $_GET[$str] : null;
    return $val;
}
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		//echo $protocol.$http;
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 } 
 
 
//資料表名稱
$sqlite_table="webstructure";

//查詢資料表名稱是否存在
$SelectQuery = "SELECT name FROM sqlite_master WHERE type='table' AND name='$sqlite_table'";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
$num_rows = count($Rowset);    //fetchAll()  	算比數
if ($num_rows==0)  {
	header("location:infocenter.php?error=998"); //空的
	exit;
	}

if(empty($_SESSION['ID'])) $_SESSION['ID'] = '';
 //來源是否正確
	if ( !($_SESSION['ID'])) {
	header("location:infocenter.php?error=701");
	exit;
	}	
	
$fillID = '';
$fillID = (_get('fillID') == "" || !is_numeric(_get('fillID'))) ? 0 : (int)_get('fillID');


if ($fillID==0)  {
	header("location:admin.php"); //空的
	exit;
	}
    
 //執行查詢		
$level1SelectQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE ID = :fillID AND isDisplay='true'";
//執行SQL
$level1Statement = $Database->prepare($level1SelectQuery);
$level1Statement->bindValue(":fillID", $fillID, PDO::PARAM_INT);
$level1Statement->execute();
$level1Rowset = $level1Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($level1Rowset as $level1row) {
$level1ID=$level1row['ID'];
$level1Name=$level1row['Name'];
$level1FontAwesome=$level1row['FontAwesome'];
 }

$fillID2= ''; 
$fillID2 = (_get('fillID2') == "" || !is_numeric(_get('fillID2'))) ? (int)_get('fillID') : (int)_get('fillID2');
 
 //執行查詢		
$level2SelectQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE ID = :fillID2 AND isDisplay='true'";
//執行SQL
$level2Statement = $Database->prepare($level2SelectQuery);
$level2Statement->bindValue(":fillID2", $fillID2, PDO::PARAM_INT);
$level2Statement->execute();
$level2Rowset = $level2Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($level2Rowset as $level2row) {
$level2ID=$level2row['ID'];
$level2Name=$level2row['Name'];
$level2FontAwesome=$level2row['FontAwesome'];
 }	


	if ($fillID2=='') {
		$PAGE_NAME=$level1Name;
	}elseif ($fillID==$fillID2) {
		$PAGE_NAME=$level1Name;
	}else{
		$PAGE_NAME=$level1Name."&nbsp;>&nbsp;".$level2Name;
	}	
	
	
	
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="../images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="../images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="../images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="../images/touch-icon-ipad-retina.png" />
	
	
    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="../css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
 <SCRIPT LANGUAGE="JavaScript"> 
 //---使用JavaScript來檢查資料
function fillin_application(fillID){
var sure=window.confirm("是否要進行網頁內容編輯? ");
if(!sure) return;
		location.href="fillwebstructurelist.php?fillID="+fillID;
}

</SCRIPT>
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body>
<?php include("include/header_meun.php"); ?>  
<!-- Header -->
<?php include("include/header_img.php"); ?> 
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item"><i class="fa <?php echo $PAGE_MAINNAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="<?php echo $PAGE_MAINNAME_LINK?>" title="<?php echo $PAGE_MAINNAME?>" tabindex="222"><?php echo $PAGE_MAINNAME?></a></li>
                    
<?php
	if ($fillID2=='') {
?>
                    <li class="breadcrumb-item active"><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?></li>   
<?php
	}elseif ($fillID2==$fillID) {
?>
                    <li class="breadcrumb-item active"><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?></li>   
<?php
	}else{
?>
                    <li class="breadcrumb-item"><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<a href="?fillID=<?php echo $level1ID?>" title="<?php echo $level1Name?>" tabindex="222"><?php echo $level1Name?></a></li>
                    <li class="breadcrumb-item active"><i class="fa <?php echo $level2FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level2Name?></li>   
<?php
	}
?>

					
                </ol>               
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 hidden-xs col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
        <!-- 內容- -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>		
<h3><i class="fa <?php echo $level1FontAwesome?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $level1Name?></h3>
<ul class="submenulist"><!--項下連結-->
<?php

	//$fillID=$_GET["fillID"];
//非系統管理員不能
	if ( $_SESSION["Groups"]== '1') {
$SelectQuery= "";
	}else{
$SelectQuery= " AND (Groups=".$_SESSION[Groups]." OR Groups=='')";  //系統管理員才能
	}

 //繼續執行查詢		
$SelectQuery2 = "SELECT ID,Name,FontAwesome FROM $sqlite_table WHERE parentID =:fillID $SelectQuery AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$Statement2 = $Database->prepare($SelectQuery2);
$Statement2->bindValue(":fillID", $fillID, PDO::PARAM_INT);
$Statement2->execute();
$Rowset2 = $Statement2->fetchAll(PDO::FETCH_ASSOC);
$num2_rows = count($Rowset2);    //fetchAll()  	算比數

if ( $num2_rows== '0') {
echo "<li><a href=\"?fillID=$fillID\" tabindex=\"300\" title=\"$level1Name\"><i class=\"fa $level1FontAwesome\" aria-hidden=\"true\"></i>$level1Name</a></li>";
}
foreach ($Rowset2 as $row2) {
echo "<li><a href=\"?fillID=$fillID&fillID2=$row2[ID]\" tabindex=\"300\" title=\"$row2[Name]\"><i class=\"fa $row2[FontAwesome]\" aria-hidden=\"true\"></i>$row2[Name]</a></li>";
 } 

?>                                                                                                                                                                                     
</ul>
<!-- 管理者選單 -->
<h3><i class="fa fa-cogs" aria-hidden="true"></i><?php echo $PAGE_MAINNAME?></h3>
<?php include("include/admin_links.php"); ?> 
<!-- /管理者選單 -->
            </div>            
             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>    
                <p class="lead"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></p>
                <hr>
<!-- secretary -->
<div>
  
<section class="patched-section" id="section-1">
 <h4>說明</h4>
<p>1.「本項次無編輯功能! 」表示網頁架構中沒有設定或是沒有開放編輯。</p>
<p>2.「<span class="text-primary"> <i class="fa fa-ban" aria-hidden="true"></i> </span><span class="text-success">無法執行</span>」表示目前本項次無編輯功能! 您可以點選左側子選單查看。</p>
<p class="text-danger">*下表僅呈現您可以編輯的項目，若您沒有權限或有疑問，可聯絡<span class="text-primary"> 單位網站管理員 </span>進行調整，謝謝。</p>
<p class="text-danger">圖例:<span class="text-primary"> <i class="fa fa-ban" aria-hidden="true"></i> </span><span class="text-success">無法執行</span> ，<span class="text-primary"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span><span class="text-success">進行網頁內容編輯</span>。</p>

<div class="alert alert-danger alert-dismissible" role="alert">
  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
  <strong><i class="fa fa-exclamation-circle"></i>&nbsp;注意!</strong> 僅設為編輯層才可以進行網頁編輯!
</div>

  <?php

	if ( ($fillID2)=='') {
    $SelectSubQuery= "WHERE ID =".$fillID." ";	
	}else{
    $SelectSubQuery= "WHERE ID =".$fillID2." ";
	}

	if ( $_SESSION["Groups"]== '1') {
    $SelectSubQuery.= "";
	}else{
    $SelectSubQuery.= " AND (Groups=".$_SESSION[Groups]." OR Groups=='')";  //系統管理員才能
	}	
	
	
$SelectQuery = "SELECT ID,parentID,isDisplay,isWrite,Name,FontAwesome,Description,Groups";
$SelectQuery.=" ,(SELECT parentID FROM $sqlite_table Z WHERE Z.ID= T.parentID ) AS upparentID";
$SelectQuery.=" ,(SELECT Name FROM organization WHERE organization.ID=T.Groups) As GroupName";
$SelectQuery.=" FROM $sqlite_table T $SelectSubQuery";
//執行SQL
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
?>
 </p>
 <div class="table-responsive">
  <table class="table table-bordered table-striped table-hover table-condensed task-table">
<thead>
<tr>
<th>主要功能</th>
<th>設定項目</th>
<th>項目說明</th>
<th>顯示</th>
<th>填報單位</th>

</tr>
</thead>
<tbody>           
 <?php     	
$num_rows = count($Rowset);    //fetchAll()  	算比數
 if ($num_rows==0) echo "<tr><td colspan=5><div align=center>本項次無編輯功能! 您可以點選左側<span class=\"text-success\">(".$PAGE_NAME.")</span>選單查看!<span class=\"text-success\">選單下空白</span>表示您沒有權限!</td></tr>";//	
foreach ($Rowset as $row) {
$replaceword = array("<p>","&nbsp;");	
$show_id=$row['ID'];
$parentID=$row['parentID'];
$upparentID=$row['upparentID'];	
$isDisplay=$row['isDisplay']; 
$isWrite=$row['isWrite']; 	
$Name=$row['Name']; 
$FontAwesome=$row['FontAwesome']; 	
$Description  = mb_substr(str_replace($replaceword, '', $row["Description"]), 0 , 50, 'utf-8');
$Groups=$row['Groups'];
$GroupName=$row['GroupName']; 

//if($parent_ID==0){
if($parentID==0){
	$printlevel_up="";
		if($isWrite=="true"){
		$printlevel_down="";
		}else{
		$printlevel_down="<a href=\"?fillID=$show_id\" title='查看子層級' tabindex='400'><i class=\"fa fa-level-down\" aria-hidden=\"true\"></i></a>";
		}	
}elseif($isWrite=="true"){
	$printlevel_up="<a href=\"?fillID=$upparentID\" title='查看父層級' tabindex='400'><i class=\"fa fa-level-up\" aria-hidden=\"true\"></i></a>";
	$printlevel_down="";
}else{
	$printlevel_up="<a href=\"?fillID=$upparentID\" title='查看父層級' tabindex='400'><i class=\"fa fa-level-up\" aria-hidden=\"true\"></i></a>";
	$printlevel_down="<a href=\"?fillID=$show_id\" title='查看子層級' tabindex='400'><i class=\"fa fa-level-down\" aria-hidden=\"true\"></i></a>";
}


 if ($isWrite=="true"){
	 $fillinfun="<a href='javascript:fillin_application($show_id)' title='網頁內容編輯' tabindex=\"400\"><i class=\"fa fa-pencil-square-o\" aria-hidden=\"true\"></i></a>";
	 }else{
	 $fillinfun="<i class=\"fa fa-ban\" aria-hidden=\"true\"></i>無法執行";
		 } 

 ?>
<?php if($isDisplay=="true")
{$Display="
<span class=\"fa-stack fa-lg\">
  <i class=\"fa fa-circle fa-stack-2x text-primary\" aria-hidden=\"true\"></i>
  <i class=\"fa fa-check-circle fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span>
";}else{$Display="
<span class=\"fa-stack fa-lg\">
  <i class=\"fa fa-circle fa-stack-2x text-danger\" aria-hidden=\"true\"></i>
  <i class=\"fa fa-ban fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span>
";}?>  
<?php if($isWrite=="true"){$Write="$GroupName";}else{$Write="
<span class=\"fa-stack fa-lg\">
  <i class=\"fa fa-circle fa-stack-2x text-danger\" aria-hidden=\"true\"></i>
  <i class=\"fa fa-ban fa-stack-1x fa-inverse\" aria-hidden=\"true\"></i>
</span>
";}?>                
   <tr>
     <td><div align="center"><?php echo $fillinfun?></div></td>
     <td><i class="fa <?php echo $FontAwesome?>" aria-hidden="true" alt=" "></i><?php echo $Name?>&nbsp;</td>     
     <td><?php echo $Description?>&nbsp;</td> 
     <td><?php echo $Display?></td>      
     <td><?php echo $Write?></td>                            
     <?php
 }
	 
 ?> 
</tbody>
 </table>

</div> 
</section>               
<!-- /secretary -->                      
          </div> 
        </div>
</div>
</div>
      </section>
<?php include("include/footer_social.php"); ?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$scriptname=end(explode('/',$_SERVER['PHP_SELF']));
//繼續執行查詢		
$VersionQuery = "SELECT Version,UpdateTime FROM program WHERE url='".$scriptname."'";
//執行SQL
$VersionStatement = $Database->prepare($VersionQuery);
$VersionStatement->execute();
$VersionRowset = $VersionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($VersionRowset as $Versionrow) {
$prVersion=$Versionrow["Version"];
$prUpdateTime=$Versionrow["UpdateTime"]; 	
 }
 ?>
版本:V.<?php echo $prVersion;?>(Last Updated: <?php echo $prUpdateTime;?>)
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php include("include/footer_copyright.php"); ?>
  
</footer></body></html>