<?php  
include("config.php");      //基本資料設定
$path_parts = pathinfo(htmlentities($_SERVER['REQUEST_URI']));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if(!strcasecmp($path_parts['basename'],$path_parts['filename']))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}

//用 php 取得目前完整網址且判斷 http 或 https
$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
//echo $protocol.$http;
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];		
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }
//初始化參數
if(!isset($indexphotoad_url)) $indexphotoad_url="";
if(!isset($dataadvertisementrow)) $dataadvertisementrow="";
if(!isset($datanewsrow)) $datanewsrow="";

//頁面設定 
 $PAGE_NUMBER="D01";
 $PAGE_MAINNAME="首頁"; 
 $PAGE_MAINNAME_LINK="index.php";
 $PAGE_NAME="HOME"; 
 $MEMULINK="index"; //基準頁免設 
?>

<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8"> 
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";?>
<!-- Favicons
================================================== -->
<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="images/touch-icon-ipad-retina.png" />

<link rel="stylesheet" href="js/smart-app-banner/smart-app-banner.css"  media="screen">

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="css/font-awesome.min.css" rel="stylesheet">

    <!-- 首頁輪播 CSS -->
    <link href="css/skdslider.css" rel="stylesheet">  
    <link rel="stylesheet" href="css/blueimp-gallery.min.css">
    <!-- Custom CSS -->
    <link href="css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
<style>
</style>
</head>
<body>
<?php
    include("include/header_meun.php"); //自己目錄內
?>
<!-- Header -->
<!-- Page Content -->
    <!-- SKDSlider Header -->
    <noscript>You can still read even if your browser does not support JavaScript.</noscript>
 <div id="indexslider">
<?php
//首頁圖片廣告	
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='index' AND isDisplay='true'";
$SelectQuery.=" AND ((EndDate >='$created_date' or EndDate = '') "; 
$SelectQuery.=" and (StartDate <='$created_date' or StartDate = ''))";
$SelectQuery.=" ORDER BY SortNum ASC ,ID ASC";

$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"201\" class=\"more\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">more</a>";
			}elseif ($pieces[0]=="http"){
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"201\" class=\"more\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">more</a>";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"201\" class=\"more\" title=\"$row[Name]\">more</a>";
			}
$imgOrig=str_replace("../","",$row['imgOrig']);				
if ($row["url"]==''){$morelink="";}else{$morelink=$ad_url;}
echo "
        <div class=\"slide\"><img src=\"$imgOrig\" alt=\"$row[Name]\">
          <div class=\"slide-desc\">
            <h2>$row[Name]</h2>
            <p>$row[Note]$morelink</p>
          </div>
        </div>";
}
?>     
    </div> <!-- /indexslider -->
	

<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><?php echo $PAGE_NAME?></li>   

                </ol> 
</nav>				
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->	
 <!-- Projects Row -->
     <div class="container-fluid container-bg">
      <div class="container bg-white" id="section-news">
       <div class="row"> 
          <div class="col-lg-12">
            <h2 class="page-header"><i class="fa fa-university" aria-hidden="true"></i>歡迎光臨<?php echo $WEBNAME?></h2>
          </div>
<?php
// 	最新消息 
 //繼續執行查詢	
$sectionnews=NULL; 
$sectionnewsQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='indexnews'";
//執行SQL
$sectionnewsStatement = $Database->prepare($sectionnewsQuery);
$sectionnewsStatement->execute();
$sectionnewsRowset = $sectionnewsStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionnewsRowset as $sectionnewsRow) {
$sectionnews=$sectionnewsRow['Text'];
 }
if ($sectionnews ==1){

 //繼續執行查詢		
$SelectnewsQuery="Select newsData.ID,newsData.parentID,newsData.isDisplay,newsData.SortNum,newsData.newsclass,newsData.Title,"; 
$SelectnewsQuery.="newsData.Note,newsData.imgOrig,newsData.StartDate,newsData.EndDate,newsBrief.parentID AS UPparentID,"; 
$SelectnewsQuery.="newsBrief.newsclass AS Bnewsclass,parameters.Text AS GroupName "; 
$SelectnewsQuery.="From newsData,newsBrief,parameters "; 
$SelectnewsQuery.="Where parameters.Class=newsBrief.newsclass AND parameters.Vaule=newsData.newsclass "; 
$SelectnewsQuery.=" AND ((newsData.EndDate >='$created_date' or newsData.EndDate = '') "; 
$SelectnewsQuery.=" and (newsData.StartDate <='$created_date' or newsData.StartDate = ''))";
$SelectnewsQuery.=" ORDER BY newsData.ID DESC LIMIT 0, 3";
$Statementnews = $Database->prepare($SelectnewsQuery);
$Statementnews->execute();
$datanewsRowset = $Statementnews->fetchAll(PDO::FETCH_ASSOC);
 if ($datanewsRowset==0) echo "<p class=\"text-center text-warning\">newsDetailnum目前沒有資料</p>";//	
foreach ($datanewsRowset as $datanewsrow) {
$maindataID=$datanewsrow['ID'];      
$deanimgOrig=str_replace("../","",$datanewsrow['imgOrig']);
$maindataBrief=strip_tags($datanewsrow['Note']);
?>			  
				<div class="col-xl-4 col-lg-4">
					<div class="fh5co-blog">
						<a href="index.php?fillID=<?php echo $datanewsrow['UPparentID']?>&newsDetail=<?php echo $maindataID; ?>" class="blog-img-holder" style="background-image: url(<?php echo $deanimgOrig ?>);"></a>
						<div class="blog-text">
							<h3><a href="index.php?fillID=<?php echo $datanewsrow['UPparentID']?>&newsDetail=<?php echo $maindataID; ?>"><?php echo $datanewsrow['Title'] ?></a></h3>
							<span class="posted_on">
							      <span class="fa-stack fa-lg" alt=" ">
							        <i class="fa fa-circle fa-stack-2x" aria-hidden="true" alt=" "></i>
							        <i class="fa fa-calendar fa-stack-1x fa-inverse" aria-hidden="true" alt=" "></i>
							        </span><?php echo $datanewsrow['StartDate'] ?></span>
                            <p><span class="badge badge-primary"><?php echo $datanewsrow['GroupName'] ?></span><br>
							<?php echo mb_substr( $maindataBrief,0,50,"utf-8") ?>...</p>					
						</div> 
					</div>
				</div>
<?php
} //foreach 
}
?>

                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 


<?php
//left_menu	左方選單
$leftmenuQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$leftmenuStatement = $Database->prepare($leftmenuQuery);
$leftmenuStatement->execute();
$leftmenuRowset = $leftmenuStatement->fetchAll(PDO::FETCH_ASSOC);
$leftmenunum = count($leftmenuRowset);    //fetchAll()  	算比數
if ($leftmenunum>0)  {
?>
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-more">
        <div class="row">
            <div class="col-xl-12">
                 <h2 class="border-bottom"><i class="fa fa-angle-double-right" aria-hidden="true" alt=" "></i> 更多服務 /  More... </h2>				 			 			 
<ul class="nav nav-pills nav-fill justify-content-center">		
<?php	
 //繼續執行查詢		
$leftmenuQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$leftmenuStatement2 = $Database->prepare($leftmenuQuery2);
$leftmenuStatement2->execute();
$leftmenuRowset2 = $leftmenuStatement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($leftmenuRowset2 as $leftmenurow2) {
echo "<li class=\"nav-item\"><a href=\"index.php?fillID=$leftmenurow2[ID]\" class=\"nav-link\" tabindex=\"300\" title=\"$leftmenurow2[Name]\"><i class=\"fa $leftmenurow2[FontAwesome]\" aria-hidden=\"true\"></i>$leftmenurow2[Name]</a></li>";
}
echo "</ul><div class=\"clear\"></div></div>";
}
?>
<?php
if ($leftmenunum>0)  {
?>

                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 
<?php
}//更多服務 
?>


<?php
// 	圖像環球	
 //繼續執行查詢
$indexphoto=NULL; 
$indexphotoQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='indexphoto'";
//執行SQL
$indexphotoStatement = $Database->prepare($indexphotoQuery);
$indexphotoStatement->execute();
$indexphotoRowset = $indexphotoStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($indexphotoRowset as $indexphotoRow) {
$indexphoto=$indexphotoRow['Text'];
 }
if ($indexphoto ==1){
?>	
 <!-- Projects Row -->
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-camera">
      <div class="row">
        <div class="col-xl-12">
             <h2 class="page-header"><i class="fa fa-camera-retro" aria-hidden="true"></i>圖像環球</h2>
        </div>
<ul class="advertisementlist"><!--項下連結-->
<?php
 //繼續執行查詢		
$SelectindexphotoQuery="SELECT * FROM advertisement WHERE linksclass='indexphoto' AND isDisplay='true'";
$SelectindexphotoQuery.=" AND ((EndDate >='$created_date' or EndDate = '') "; 
$SelectindexphotoQuery.=" and (StartDate <='$created_date' or StartDate = ''))";
$SelectindexphotoQuery.=" ORDER BY SortNum ASC ,ID ASC";
//0ID,1isDisplay,2SortNum,3Name,4Note,5FontAwesome,6url,7imgOrig
$Statementindexphoto = $Database->prepare($SelectindexphotoQuery);
$Statementindexphoto->execute();
$dataindexphotoRowset = $Statementindexphoto->fetchAll(PDO::FETCH_ASSOC);
 if ($dataindexphotoRowset==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($dataindexphotoRowset as $dataindexphotorow) {
$maindataID=$dataindexphotorow['ID'];      
$indexphotoOrig=str_replace("../","",$dataindexphotorow['imgOrig']);
$maindataBrief=strip_tags($dataindexphotorow['Note']);
$dataindexphotoNAME= (!isset($dataindexphotoNAME) ? $dataindexphotorow['Name']:'');

 $indexphotopieces = explode ("://", $dataindexphotorow["url"]);
		if ($indexphotopieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$indexphotopath="https://".str_replace("https://","",$dataindexphotorow["url"]); 
			$indexphotoad_url="<a href=\"$indexphotopath\" tabindex=\"300\" target=\"_blank\" title=\"$dataindexphotoNAME(開啟新網頁)\"><img src=\"$indexphotoOrig\" alt=\"$dataindexphotoNAME\" title=\"dataindexphotoNAME\" class=\"img-fluid\"></a>";
			}elseif ($indexphotopieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$indexphotopath="http://".str_replace("http://","",$dataindexphotorow["url"]); 
			$indexphotoad_url="<a href=\"$indexphotopath\" tabindex=\"300\" target=\"_blank\" title=\"$dataindexphotoNAME(開啟新網頁)\"><img src=\"$indexphotoOrig\" alt=\"$dataindexphotoNAME\" title=\"dataindexphotoNAME\" class=\"img-fluid\"></a>";
			}elseif ($dataindexphotorow["url"]==""){			
            $indexphotoad_url="<img src=\"$indexphotoOrig\" alt=\"$dataindexphotoNAME\" title=\"$dataindexphotoNAME\" class=\"img-fluid\">";
			}else{			
            $indexphotopath=$dataindexphotorow["url"];
			$indexphotoad_url="<a href=\"$indexphotopath\" tabindex=\"300\" title=\"$dataindexphotoNAME\"> alt=\"$dataindexphotoNAME\" title=\"$dataindexphotoNAME\" class=\"img-fluid\"></a>";
			}
?>
</ul>			  
				<div class="col-lg-2 col-md-2">
					<div>
						<?php echo $indexphotoad_url ?>	
					</div>
				</div>
<?php
} //foreach 
}
if ($indexphoto ==1){
?>

                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 
<?php
}//圖像環球 
?>


<?php
// 	圖片廣告 	
 //繼續執行查詢	
$advertisement=NULL; 
$advertisementQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='advertisement'";
//執行SQL
$advertisementStatement = $Database->prepare($advertisementQuery);
$advertisementStatement->execute();
$advertisementRowset = $advertisementStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($advertisementRowset as $advertisementgRow) {
$advertisement=$advertisementgRow['Text'];
 }
if ($advertisement ==1){
?>	
 <!-- Projects Row -->
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-thumbs">
      <div class="row">
        <div class="col-xl-12">
             <h2 class="page-header"><i class="fa fa-thumbs-o-up" aria-hidden="true"></i>熱門</h2>
        </div>
<ul class="advertisementlist"><!--項下連結-->
<?php
 //繼續執行查詢		
$SelectadvertisementQuery="SELECT * FROM advertisement WHERE linksclass='advertisement' AND isDisplay='true'";
$SelectadvertisementQuery.=" AND ((EndDate >='$created_date' or EndDate = '') "; 
$SelectadvertisementQuery.=" and (StartDate <='$created_date' or StartDate = ''))";
$SelectadvertisementQuery.=" ORDER BY SortNum ASC ,ID ASC";

$Statementadvertisement = $Database->prepare($SelectadvertisementQuery);
$Statementadvertisement->execute();
$dataadvertisementRowset = $Statementadvertisement->fetchAll(PDO::FETCH_ASSOC);
 if ($dataadvertisementRowset==0) echo "<p class=\"text-center text-warning\">目前沒有資料</p>";//	
foreach ($dataadvertisementRowset as $dataadvertisementrow) {
//$maindataID=$datanewsrow['ID'];      
$deanimgOrig=str_replace("../","",$dataadvertisementrow['imgOrig']);
$maindataBrief=strip_tags($dataadvertisementrow['Note']);

$maindataID= (!isset($maindataID) ? $dataadvertisementrow['ID']:'');
$dataadvertisementNAME= (!isset($dataadvertisementNAME) ? $dataadvertisementrow['Name']:'');



 $pieces = explode ("://", $dataadvertisementrow["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$dataadvertisementrow["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$dataadvertisementNAME(開啟新網頁)\"><img src=\"$deanimgOrig\" alt=\"$dataadvertisementNAME\" title=\"$dataadvertisementNAME\" class=\"img-fluid\"></a>";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$dataadvertisementrow["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$dataadvertisementNAME(開啟新網頁)\"><img src=\"$deanimgOrig\" alt=\"$dataadvertisementNAME\" title=\"$dataadvertisementNAME\" class=\"img-fluid\"></a>";
			}elseif ($dataadvertisementrow["url"]==""){			
            $ad_url="<img src=\"$deanimgOrig\" alt=\"$dataadvertisementNAME\" title=\"$dataadvertisementNAME\" class=\"img-fluid\">";
			}else{			
            $path=$dataadvertisementrow["url"];
			$ad_url="<a href=\"$path\" tabindex=\"300\" title=\"$dataadvertisementNAME\"> alt=\"$dataadvertisementNAME\" title=\"$dataadvertisementNAME\" class=\"img-fluid\"></a>";
			}
?>
</ul>			  
				<div class="col-xl-4 col-lg-4">
					<div class="fh5co-blog">
						<?php echo $ad_url ?>	
					</div>
				</div>
<?php
} //foreach 
}
if ($advertisement ==1){
?>

                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 
<?php
}//圖片廣告 
?>

<?php
// 	影音環球 
 //繼續執行查詢		
$sectionyoutube=NULL; 
$sectionyoutubeQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='indexyoutube'";
//執行SQL
$sectionyoutubeStatement = $Database->prepare($sectionyoutubeQuery);
$sectionyoutubeStatement->execute();
$sectionyoutubeRowset = $sectionyoutubeStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionyoutubeRowset as $sectionyoutubeRow) {
$sectionyoutube=$sectionyoutubeRow['Text'];
 }
if ($sectionyoutube ==1){
?>	
 <!-- Projects Row -->
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-youtube">
      <div class="row">
        <div class="col-xl-12">
             <h2 class="page-header"><i class="fa fa-youtube-play" aria-hidden="true"></i>影音環球</h2>
        </div>
<?php
$videoDataquery="SELECT Name,Note,url FROM advertisement WHERE isDisplay = 'true' AND linksclass = 'youtube' ";
$videoDataquery.=" AND ((EndDate >='$created_date' or EndDate = '') "; 
$videoDataquery.=" and (StartDate <='$created_date' or StartDate = ''))";
$videoDataquery.=" ORDER BY SortNum ASC ,ID ASC";


//執行SQL
$videoDataStatement = $Database->prepare($videoDataquery);
$videoDataStatement->execute();
$videoDataRowset = $videoDataStatement->fetchAll(PDO::FETCH_ASSOC);
$videoDatanum = count($videoDataRowset);    //fetchAll()  	算比數
 if ($videoDatanum==0) {
?>
            <div class="col-xl-4 col-lg-4">
                <div class="embed-responsive embed-responsive-16by9">
                    <iframe width="640" height="360" src="https://www.youtube.com/embed/6HURq_8UPV8?rel=0" frameborder="0" loading="lazy" allowfullscreen></iframe>
                </div>
            </div>
<?php
}
foreach ($videoDataRowset as $videoDatarow) {
?>				  
            <div class="col-xl-4 col-lg-4">
                <div class="embed-responsive embed-responsive-16by9">
					<iframe width="640" height="360" src="<?php echo $videoDatarow['url'] ?>?rel=0" frameborder="0" loading="lazy" allowfullscreen></iframe>					
					</div>
				</div>
<?php
} //foreach 
}
if ($sectionyoutube ==1){
?>
                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 
<?php
}//影音環球
?>
            
    </div>
<?php
    include("include/footer_social.php"); //自己目錄內
?>

<?php
// 	二級單位暨所屬網站 
 //繼續執行查詢	
$sectionlinks=NULL; 
$sectionQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='sectionlinks'";
//執行SQL
$sectionStatement = $Database->prepare($sectionQuery);
$sectionStatement->execute();
$sectionRowset = $sectionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionRowset as $sectionRow) {
$sectionlinks=$sectionRow['Text'];
 }
if ($sectionlinks ==1){
$sectionlinksname=NULL;
 //繼續執行查詢		
$sectionlinksQuery = "SELECT Text FROM parameters WHERE Class='links' AND Vaule='sectionlinks'";

//執行SQL
$sectionlinksStatement = $Database->prepare($sectionlinksQuery);
$sectionlinksStatement->execute();
$sectionlinksRowset = $sectionlinksStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionlinksRowset as $sectionlinksRow) {
$sectionlinksname=$sectionlinksRow['Text'];
 }
 
 ?>
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-sectionlinks">
        <div class="row">
            <div class="col-xl-12">
                 <h2 class="border-bottom"><i class="fa fa-angle-double-right" aria-hidden="true" alt=" "></i><?php echo $sectionlinksname?></h2>
<ul class="nav nav-pills nav-fill justify-content-center">		
<?php
 //繼續執行查詢	
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='sectionlinks' AND isDisplay='true'";
$SelectQuery.=" AND ((EndDate >='$created_date' or EndDate = '') "; 
$SelectQuery.=" and (StartDate <='$created_date' or StartDate = ''))";
$SelectQuery.=" ORDER BY SortNum ASC ,ID ASC";

$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" class=\"nav-link\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" class=\"nav-link\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" class=\"nav-link\" tabindex=\"300\" title=\"$row[Name]\">";
			}
echo "<li class=\"nav-item\">$ad_url<i class=\"fa $row[FontAwesome]\" aria-hidden=\"true\"></i>$row[Name]</a></li>";
}
echo "</ul><div class=\"clear\"></div></div></div>";
}
?>
<?php
if ($sectionlinks ==1){
?>

                    </div>
        <!-- /.row -->
          </div>
        </div>        
        <!-- /.container --> </div> 
<?php
}//sectionlinks 
?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$youcontent = file_get_contents('package.json');
$youcontent = json_decode($youcontent,true);
$youversion = $youcontent['version'];
if ($youcontent['version']==''){
echo  "版本:NULL";	
}else{
echo  "版本:V.".$youversion;	
}
?>
</div></div>
</div>
      </div>
</section>
<!-- #EndDate --> 
<?php
    include("include/footer_copyright.php"); //自己目錄內
?>
 <script src="js/smart-app-banner/smart-app-banner.js"></script>
    <script type="text/javascript">
      new SmartBanner({
          daysHidden: 15,   // days to hide banner after close button is clicked (defaults to 15)
          daysReminder: 90, // days to hide banner after "VIEW" button is clicked (defaults to 90)
          //appStoreLanguage: 'us', // language code for the App Store (defaults to user's browser language)
          title: '環球科技大學',
          author: 'TRANSWORLD UNIVERSITY',
          button: '安裝',
          store: {
              ios: 'App Store',
              android: 'Google Play',
              windows: 'Windows store'
          },
          price: {
              ios: '免費',
              android: '免費',
              windows: '免費'
          }
          // , theme: '' // put platform type ('ios', 'android', etc.) here to force single theme on all device
          // , icon: '' // full path to icon image if not using website icon image
          // , force: 'ios' // Uncomment for platform emulation
      });
    </script>
    <!-- 首頁輪播 JavaScript -->
    <script src="js/skdslider.js"></script> 
<script>
    jQuery(document).ready(function(){
$('#indexslider').skdslider({

  // Delay duration between two slides in ms.
  'delay': 3000,

  // <a href="https://www.jqueryscript.net/animation/">Animation</a> speed
  'animationSpeed': 1000,

  // show/hide navigation icon
  'showNav': false,

  // Automatically start slideshow
  'autoSlide': true,

  // show/hide next/prev buttons
  'showNextPrev': false,

  // Pause sliding on mouse hover
  'pauseOnHover': false,

  // If true, navigation will be numeric
  'numericNav': false,

  // If this properties is set, sliding will automatically stop at the specified slide
  'stopSlidingAfter': false,

  // show/hide play button
  'showPlayButton': false,

  // 'fading' or 'sliding'
  'animationType': 'fading' /* fading/sliding */
  
        });
    });
</script>
</footer>
  </body>
</html>
